## ecj-legacy 3.11.1

=== debian/changelog ===
ecj-legacy (3.11.1-2+rpi1) buster-staging; urgency=medium

  * Legacy ecj package to support gcj which we don't want to get rid of just
    yet.
  * Rename source package to ecj-legacy.
  * Drop ecj and libecj-java binary packages (provided by current ecj).

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 14 Jun 2018 17:08:36 +0000

ecj (3.11.1-2) unstable; urgency=medium

  * Team upload.
  * Relocate org.eclipse.jdt:ecj to org.eclipse.jdt.core.compiler:ecj

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 04 Jul 2017 13:14:22 +0200

ecj (3.11.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Jan 2017 21:38:57 +0100

ecj (3.11.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release (from the R4_5_1 tag, identifies itself as 3.11.1)
    - Refreshed the patches
    - Updated the version of the Maven pom

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Jan 2017 23:34:53 +0100

ecj (3.11.0-7) unstable; urgency=medium

  * Try to work around build failures on m68k, powerpcspe, ppc64 sh4, sparc64.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Sep 2016 10:54:29 +0200

ecj (3.11.0-6) unstable; urgency=medium

  * Build ecj1 on any architecture.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Sep 2016 16:33:15 +0200

ecj (3.11.0-5) unstable; urgency=medium

  * Work around build failures on amd64 and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Aug 2016 12:28:08 +0200

ecj (3.11.0-4) unstable; urgency=medium

  * Build using GCC 6.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Aug 2016 09:03:11 +0200

ecj (3.11.0-2) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer instead of CDBS (Closes: #806020)
  * Fixed a sporadic NullPointerException in ReadManager during the build
  * Converted debian/copyright to the Copyright Format 1.0
  * Updated the version of the Maven pom
  * debian/rules: Let DH install the .lintian-overrides files

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Aug 2016 10:03:21 +0200

ecj (3.11.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 14 Jun 2016 14:09:51 +0200

ecj (3.11.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release (built from the R4_5 tag, identifies itself as 3.11.0)
    - Refreshed the patches
    - Fixes a compiler crash (Closes: #819189)
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Browser URL

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 18 May 2016 18:12:58 +0200

ecj (3.10.1-2) unstable; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Sep 2015 01:32:26 +0200

ecj (3.10.1-1) unstable; urgency=medium

  * Upstream 3.10.1 release (marketing version 4.4.1).

 -- Matthias Klose <doko@debian.org>  Tue, 30 Sep 2014 16:38:20 +0200

ecj (3.10.1~rc2-1) unstable; urgency=medium

  * Upstream 3.10.1 release candidate 2.
  * Update package descriptions.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Aug 2014 22:30:08 +0200

ecj (3.10.0+3.10.0-2) experimental; urgency=medium

  * Fix Bug 438812 - Missing bridge methods in indirect child classes.
    Closes: #753315.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 14:57:09 +0200

ecj (3.10.0+3.10.0-1) experimental; urgency=medium

  * Upload to experimental, unstable has 3.9.0 again (see #753315).

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2014 16:12:54 +0200

ecj (3.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (built from the R4_4 tag, identifies itself as 3.10.0)
    - Refreshed gcc-changes.diff
    - Added a patch fixing compilation errors caused by @Override annotations
    - Updated the version of the Maven pom
    - Added the new -1.8 option in the manpages
  * debian/control:
    - Removed the recommended dependency on a JRE for libecj-java
    - Added the Homepage and the Vcs-* fields
  * Switch to debhelper level 9
  * Call 'set -e' in the body of the ecj maintainer scripts
  * Fixed a typo in the ecj manpages
  * Added a watch file
  * debian/rules:
    - Renamed the get-source target to get-orig-source and completed
      the script to build the upstream tarball.
    - Removed the option to build with the old ant1.7 package
    - Reduced the number of warnings during the compilation
    - Replace the bundle_version parameter with the actual version
      in message.properties
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 26 Jun 2014 17:45:28 +0200

ecj (3.9.0-2) unstable; urgency=medium

  * Build using gcj-4.9.

 -- Matthias Klose <doko@debian.org>  Sat, 03 May 2014 16:46:31 +0200

ecj (3.9.0-1) unstable; urgency=medium

  * Update to 4.3.1 (built from the R4_3_1 tag, identifies itself as 3.9.0).

 -- Matthias Klose <doko@debian.org>  Tue, 10 Dec 2013 15:50:07 +0100

ecj (3.8.2-4) unstable; urgency=low

  * Build using gcj-4.8 on all architectures.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Jul 2013 01:17:16 +0200

ecj (3.8.2-2) unstable; urgency=low

  * Build using gcj-4.6 on mips.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Apr 2013 18:56:06 +0200

ecj (3.8.2-1) unstable; urgency=low

  * Update to 3.8.2 (built from the R3_8_2 tag, identifies itself as 3.8.3).
    Supports Java7. Closes: #693441.
  * Remove copyright information from ICU and jsch. Closes: #622296.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Apr 2013 00:34:31 +0200

ecj (3.5.1-6) unstable; urgency=low

  * Allow package to build with gcj-4.6 on ia64.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Jan 2013 18:54:59 +0100

ecj (3.5.1-5) unstable; urgency=low

  * Fix the libgcj so version.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Jan 2013 17:36:18 +0100

ecj (3.5.1-4) unstable; urgency=low

  * Rebuild using GCC-4.7.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Apr 2012 14:47:52 +0200

ecj (3.5.1-3) unstable; urgency=low

  [ James Page ]

