=== debian/control ===
Source: ecj-legacy
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9), gcj-6-jdk, libgcj-bc, fastjar, ant, zip, unzip, dpkg (>= 1.13.19), python, time
Build-Depends-Indep: maven-repo-helper, default-jre-headless
Build-Conflicts: ecj-bootstrap-gcj (<< 3.8.2)
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/ecj
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-java/trunk/ecj/
Homepage: http://www.eclipse.org/jdt/core/index.php

Package: libecj-java-gcj
Architecture: any
Depends: java-common (>= 0.23), libecj-java (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: ecj-bootstrap-gcj (<< 3.2.2), eclipse-ecj-gcj, ecj-gcj (<< 3.3.0+0728)
Description: Eclipse Java compiler (native library)
 This package provides a standalone version of the Eclipse JDT compiler library
 which is distributed as part of Eclipse. It passes the JCK (Java Compatibility
 Kit) and is compatible with Java 1.3, 1.4, 1.5, 1.6, 1.7 and 1.8.
 .
 This package contains a native version of libecj-java built using gcj.

Package: ecj1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: java byte code compiler used by gcj
 This package provides a standalone version of the java byte code compiler
 used by gcj.

Package: ecj-gcj
Architecture: any
Depends: ecj (>= ${source:Version}), libecj-java-gcj (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: java-gcj-compat (>= 1.0.69)
Replaces: ecj-bootstrap-gcj (<< 3.2.2), eclipse-ecj-gcj
Conflicts: eclipse-ecj-gcj
Provides: libecj-java-gcj
Description: standalone version of the Eclipse Java compiler (native version)
 This package provides a standalone version of the Eclipse JDT compiler which
 is distributed as part of Eclipse. It passes the JCK (Java Compatibility Kit)
 and is compatible with Java 1.3, 1.4, 1.5, 1.6, 1.7 and 1.8.
 .
 This package contains a native version of ecj built using gcj.
